
package speiger.src.coreengine.rendering.guiOld.components.tree;

import speiger.src.coreengine.rendering.guiOld.components.TextComponent;
import speiger.src.coreengine.rendering.guiOld.helper.Align;

public class TextTreeEntry extends BaseTreeEntry
{
	TextComponent text = addComponent(new TextComponent().limit(false).align(Align.LEFT_TOP, Align.LEFT_TOP).special(true).set(0F, 0F).cast());
	
	public TextTreeEntry(String s)
	{
		text.setText(s);
	}
	
	public TextTreeEntry setScale(float scale)
	{
		text.setTextScale(scale);
		return this;
	}
	
	public String getText()
	{
		return text.getText();
	}
}
